Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class TabSet

    java.lang.Object
      |
      +--javax.swing.text.TabSet

All Implemented Interfaces:
  Serializable

public class TabSet
extends Object
implements Serializable

A TabSet is comprised of many TabStops. It offers methods for locating the closest TabStop to a given position and finding all the potential TabStops. It is also immutable.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Constructor Summary
`TabSet(TabStop[] tabs)` Creates and returns an instance of TabSet.

Method Summary
`TabStop` | `getTab(int index)` Returns the TabStop at index `index`.
`TabStop` | `getTabAfter(float location)` Returns the Tab instance after `location`.
`int` | `getTabCount()` Returns the number of Tab instances the receiver contains.
`int` | `getTabIndex(TabStop tab)`
`int` | `getTabIndexAfter(float location)` Returns the index of the Tab to be used after `location`.
`String` | `toString()` Returns the string representation of the set of tabs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TabSet

    public TabSet(TabStop[] tabs)

  Creates and returns an instance of TabSet. The array of Tabs passed in must be sorted in ascending order.

Method Detail

### getTabCount

    public int getTabCount()

  Returns the number of Tab instances the receiver contains.

### getTab

    public TabStop getTab(int index)

  Returns the TabStop at index `index`. This will throw an IllegalArgumentException if `index` is outside the range of tabs.

### getTabAfter

    public TabStop getTabAfter(float location)

  Returns the Tab instance after `location`. This will return null if there are no tabs after `location`.

### getTabIndex

    public int getTabIndex(TabStop tab)

  Returns:
    the index of the TabStop `tab`, or -1 if `tab` is not contained in the receiver.

### getTabIndexAfter

    public int getTabIndexAfter(float location)

  Returns the index of the Tab to be used after `location`. This will return -1 if there are no tabs after `location`.

### toString

    public String toString()

  Returns the string representation of the set of tabs.
  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.